6

after installing 2.4.4 intergaration gives an error message "Integration not secure" Where does this message come from? enter image description here

1
  • How can I solve this problem? my SSL settings are OK. Someone can help me? I have installed Magento CE 2.4.5. Aug 24, 2022 at 15:36

4 Answers 4

3

The message is renderer from Magento\Integration\Block\Adminhtml\Widget\Grid\Column\Renderer\Name.php::render() function.

The function will check your URLS (Identity link URL,Callback URL) should used with https

For security reason Magento strongly recommend using https://in integration urls.

2
16

If you use an empty "Callback URL" or "Identity link URL" for the integration, then run these SQL queries to remove the error

UPDATE `integration` set `endpoint` = '' where `endpoint` IS NULL;
UPDATE `integration` set `identity_link_url` = '' where `identity_link_url` IS NULL;
1

Open the table "integration" and you can see null values in the "endpoint" and "identity_link_url" fields. enter image description here

Remove null values.

0

This error message comes from this file.

vendor/magento/module-integration/Block/Adminhtml/Widget/Grid/Column/Renderer/Name.php
2
  • THX, but what causes this message?
    – Dries
    May 9, 2022 at 9:38
  • It means your web URL should be secure on https
    – Dotsquares
    May 9, 2022 at 9:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.